# $Revision: 1.54 $, $Date: 2008/12/16 06:43:44 $
#
# Conditional build:
%bcond_with	ps			# build package with RFCs in PostScript format too
%bcond_without	pdf		# don't build package with RFCs in PDF format
%bcond_without	html_index	# don't build HTML index

%include	/usr/lib/rpm/macros.perl
%define		rfcindex_version	1.2
Summary:	Latest RFC documents
Summary(es.UTF-8):	Los últimos documentos RFC
Summary(pl.UTF-8):	Najnowsze dokumenty RFC
Name:		rfc-latest
Version:	5407
Release:	1
License:	distributable
Group:		Documentation
Source0:	ftp://ftp.rfc-editor.org/in-notes/tar/RFCs5001-latest.tar.gz
# Source0-md5:	1297e2aa5417fd3832822b3ee0da54b2
Source1:	ftp://ftp.rfc-editor.org/in-notes/rfc-index.txt
Source2:	ftp://ftp.rfc-editor.org/in-notes/rfc5000.txt
Source10:	rfcindex-%{rfcindex_version}
# Source10-md5:	2b35cdd18096517e048fd455364dd77a
Patch0:		rfc-index-typo.patch
#Patch1:		rfc-index-online_updates.patch
Patch10:	rfcindex-pld.patch
URL:		http://www.rfc.net/
%if %{with ps} || %{with pdf}
BuildRequires:	enscript
BuildRequires:	ghostscript
%endif
BuildRequires:	perl-devel
%if %{with html_index}
BuildRequires:	rpm-perlprov
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
RFC (Request For Comments) documents are actual and suggested Internet
standards.

%description -l es.UTF-8
Los documentos RFC (Request For Comments: petición de comentarios) son
los estándares actuales y sugeridos del Internet.

%description -l pl.UTF-8
Dokumenty RFC (Request For Comments) zawierają opis obowiązujących i
proponowanych standardów internetowych.

%package -n rfc-index
Summary:	Index for RFC documents
Summary(es.UTF-8):	Índice para los documentos RFC
Summary(pl.UTF-8):	Spis treści dokumentów RFC
Group:		Documentation

%description -n rfc-index
Index file for RFC (Request For Comments) documents containing
information about document title, authors, status, size, etc.

%description -n rfc-index -l es.UTF-8
Fichero índice para los documentos RFC (Request For Comments: petición
de comentarios) que contiene informaciones sobre el título de
documento, su autores, estado, tamaño, etc.

%description -n rfc-index -l pl.UTF-8
Plik spisu treści dokumentów RFC (Request For Comments) zawierający
informacje takie, jak: tytuł, autorzy, status, rozmiar itp. dla
poszczególnych dokumentów.

%package -n rfc-index-html
Summary:	HTML-ized index of RFC documents
Summary(es.UTF-8):	Índice de los documentos RFC en HTML
Summary(pl.UTF-8):	Spis treści dokumentów RFC w HTML-u
Group:		Documentation
Requires:	%{name}-text >= %{version}-%{release}

%description -n rfc-index-html
Index file for RFC (Request For Comments) documents containing
information about document title, authors, status, size, etc.

%description -n rfc-index -l es.UTF-8
Fichero índice para los documentos RFC (Request For Comments: petición
de comentarios) que contiene informaciones sobre el título de
documento, su autores, estado, tamaño, etc.

%description -n rfc-index-html -l pl.UTF-8
Plik spisu treści dokumentów RFC (Request For Comments) zawierający
informacje takie, jak: tytuł, autorzy, status, rozmiar itp. dla
poszczególnych dokumentów.

%package -n rfcindex
Summary:	Script to generate HTML-ized index of RFC documents
Summary(es.UTF-8):	Script para generar un índice HTML de documentos RFC
Summary(pl.UTF-8):	Skrypt do generowania HTML-owego spisu treści dokumentów RFC
Group:		Base/Utilities
Requires:	rfc-index

%description -n rfcindex
Perl script that reads the plain rfc-index.txt and outputs an HTML
index file with hyperlinks to appropriate RFCs.

%description -n rfcindex -l pl.UTF-8
Script de Perl que lee el plano rfc-index.txt y devuelve un fichero
índice en HTML con hiperenlaces a los RFC adecuados.

%description -n rfcindex -l pl.UTF-8
Skrypt w Perlu generujacy na podstawie tekstowego pliku rfc-index.txt
spis treści w HTML-u zawierający przekierowania do odpowiednich
dokumentów RFC.

%package text
Summary:	RFC documents - pure text version
Summary(es.UTF-8):	Documentos RFC - versión de texto puro
Summary(pl.UTF-8):	Wersja czysto tekstowa dokumentów RFC
Group:		Documentation
Requires:	rfc-index >= %{version}
# common dirs
Requires:	rfc-text
#Provides:	%{name}-text-basic
#Obsoletes:	%{name}-text-basic

%description text
This is pure text version of RFC (Request For Comments) documents. The
set is incomplete. Some documents are available in PostScript and PDF
formats only.

%description text -l es.UTF-8
Ésta es la versión de texto puro de los documentos RFC (Request For
Comments: petición de comentarios). Este conjunto es incompleto, ya
que algunos documentos son disponibles sólo en los formatos PostScript
y PDF.

%description text -l pl.UTF-8
Wersja tekstowa dokumentów RFC (Request For Comments). Zbiór jest
niepełny, gdyż niektóre dokumenty są dostępne wyłącznie w postaci
postscriptowej i PDF.

%package ps
Summary:	RFC documents - PostScript version
Summary(es.UTF-8):	Documentos RFC - versión PostScript
Summary(pl.UTF-8):	Wersja postscriptowa dokumentów RFC
Group:		Documentation
Requires:	rfc-index >= %{version}
# common dirs
Requires:	rfc-ps

%description ps
PostScript version of RFC (Request For Comments) documents.

%description ps -l es.UTF-8
La versión PostScript de los documentos RFC (Request For Comments:
petición de comentarios).

%description ps -l pl.UTF-8
Wersja postscriptowa dokumentów RFC (Request For Comments).

%package pdf
Summary:	RFC documents - PDF version
Summary(es.UTF-8):	Documentos RFC - versión PDF
Summary(pl.UTF-8):	Wersja PDF dokumentów RFC
Group:		Documentation
Requires:	rfc-index >= %{version}
# common dirs
Requires:	rfc-pdf

%description pdf
RFC (Request For Comments) documents in Adobe PDF format.

%description pdf -l es.UTF-8
Documentos RFC (Request For Comments: petición de comentarios) en
formato Adobe PDF.

%description pdf -l pl.UTF-8
Dokumenty RFC (Request For Comments) w formacie Adobe PDF.

%prep
%setup -q -c
install %{SOURCE1} .
%patch0 -p0
#%%patch1 -p0
install %{SOURCE2} .

%if %{with html_index}
install %{SOURCE10} rfcindex
%patch10 -p0
%endif

%build
# Generate .ps and .pdf versions when they are not provided
%if %{with ps} || %{with pdf}
for i in rfc[1-9]*.txt ; do
	BASE=`echo $i | sed "s/.txt$//"`
	PSFILE=$BASE.ps
	if [ ! -e $BASE.ps ] ; then
		# avoid stopping on errors ; .ps file may be correct
		# even after processing problems
		enscript --margin=54 -B -fCourier11 -p $BASE.ps $i 2>/dev/null || :
	fi
%endif
%if %{with pdf}
	if [ ! -e $BASE.pdf ] ; then
		ps2pdf $BASE.ps $BASE.pdf 2>/dev/null
	fi
%endif
%if %{with ps} || %{with pdf}
done
%endif

%if %{with html_index}
./rfcindex --gzip --by100 --nodate --nocredit \
	--base="file://%{_docdir}/RFC/" rfc-index.txt >rfc-index.html
pod2man rfcindex > rfcindex.1
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_docdir}/RFC/text/5{0,1,2,3}00
install -d $RPM_BUILD_ROOT%{_docdir}/RFC/pdf/5{0,1,2,3}00
install -d $RPM_BUILD_ROOT%{_docdir}/RFC/postscript/5{0,1,2,3}00

install rfc-index.txt $RPM_BUILD_ROOT%{_docdir}/RFC

%if %{with html_index}
install rfc-index.html $RPM_BUILD_ROOT%{_docdir}/RFC
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
install rfcindex $RPM_BUILD_ROOT%{_bindir}/rfcindex
install rfcindex.1 $RPM_BUILD_ROOT%{_mandir}/man1
%endif

find . -name 'rfc[1-9]*.txt' -print | xargs gzip -9
%if %{with ps}
find . -name 'rfc[1-9]*.ps' -print | xargs gzip -9
%endif

# install rfc[1-9]*.txt* $RPM_BUILD_ROOT%{_docdir}/RFC/text
for i in 5{0,1,2,3} ; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.]*txt* \
		$RPM_BUILD_ROOT%{_docdir}/RFC/text/${i}00
done

%if %{with pdf}
# install rfc*.pdf $RPM_BUILD_ROOT%{_docdir}/RFC/pdf
for i in 5{0,1,2,3} ; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.-]*pdf \
		$RPM_BUILD_ROOT%{_docdir}/RFC/pdf/${i}00
done
%endif

%if %{with ps}
# install rfc*.ps $RPM_BUILD_ROOT%{_docdir}/RFC/postscript
for i in 5{0,1,2,3} ; do
	install rfc`echo $i|sed s/^0\*//g`[0-9][0-9][a.-]*ps* \
		$RPM_BUILD_ROOT%{_docdir}/RFC/postscript/${i}00
done
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files text
%defattr(644,root,root,755)
%{_docdir}/RFC/text/[0-9]*

%files -n rfc-index
%defattr(644,root,root,755)
%dir %{_docdir}/RFC
%{_docdir}/RFC/rfc-index.txt

%if %{with ps}
%files ps
%defattr(644,root,root,755)
%{_docdir}/RFC/postscript/*
%endif

%if %{with pdf}
%files pdf
%defattr(644,root,root,755)
%{_docdir}/RFC/pdf/*
%endif

%if %{with html_index}
%files -n rfc-index-html
%defattr(644,root,root,755)
%{_docdir}/RFC/rfc-index.html

%files -n rfcindex
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rfcindex
%{_mandir}/man1/*
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rfc-latest.spec,v $
Revision 1.54  2008/12/16 06:43:44  ankry
- patch already applied

Revision 1.53  2008/12/16 06:41:11  ankry
- 5407

Revision 1.52  2008/11/15 18:24:35  ankry
- killed patch

Revision 1.51  2008/11/15 09:14:28  ankry
- up to 5395

Revision 1.50  2008/10/26 21:42:13  ankry
- 5389

Revision 1.49  2008/09/05 10:48:42  ankry
- 5340

Revision 1.48  2008-02-20 10:15:24  ankry
- 5235

Revision 1.47  2007-11-20 20:56:16  ankry
- kill patch

Revision 1.46  2007-11-19 10:01:58  ankry
- 5092

Revision 1.45  2007/10/17 18:20:20  ankry
- updated, 5078

Revision 1.44  2007/09/02 21:01:14  ankry
- 5065, use master site instead of mirror, drop outdated URL

Revision 1.43  2007/07/11 10:29:48  ankry
- F***g utf in joe

Revision 1.42  2007/07/11 09:59:59  ankry
- updated, 4938

Revision 1.41  2007/02/12 22:09:13  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.39  2006/10/14 22:41:46  ankry
- 4714

Revision 1.38  2006/10/07 18:56:07  ankry
- 4693

Revision 1.37  2006/09/02 20:51:33  glen
- _defaultdocdir -> _docdir

Revision 1.36  2006/08/30 21:26:28  ankry
- 4671

Revision 1.35  2006/08/17 23:15:12  ankry
- fixed build, rel. 1

Revision 1.34  2006/08/07 07:46:18  ankry
- updated md5, renumbered

Revision 1.33  2006/08/07 07:43:23  ankry
- started update to newest resources

Revision 1.32  2005/08/11 09:46:18  radek
- bcond_with(out) is followed by one \t, then bcond's name.

Revision 1.31  2005/05/25 17:14:47  ankry
- forgotten rfc-index.txt update, rel. 2

Revision 1.30  2005/05/25 16:12:16  ankry
- 4109

Revision 1.29  2004/12/14 10:29:11  ankry
- 3966

Revision 1.28  2004/10/25 11:36:57  paladine
- "HTML" and "Perl" unification

Revision 1.27  2004/10/11 13:46:35  ankry
- fixed md5

Revision 1.26  2004/10/11 13:38:33  ankry
- 3932

Revision 1.25  2004/07/29 12:24:26  ankry
- 3866

Revision 1.24  2004/04/12 22:53:27  ankry
- 3765

Revision 1.23  2004/03/08 23:08:27  ankry
- 3729

Revision 1.22  2004/02/09 14:48:53  ankry
- 3707

Revision 1.21  2003/12/30 02:04:52  ankry
- 3677

Revision 1.20  2003/12/01 05:22:25  saq
- es translations
- fixes in other translations (copy-paste errors, unnecessary jargon)
- new bconds

Revision 1.19  2003/11/19 01:20:03  ankry
- proper md5

Revision 1.18  2003/11/19 01:18:11  ankry
- 3655

Revision 1.17  2003/09/09 09:42:48  ankry
- 3601

Revision 1.16  2003/08/29 16:17:11  ankry
- 3587

Revision 1.15  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.14  2003/08/14 20:17:38  qboosh
- bcond descriptions, unifications

Revision 1.13  2003/08/10 23:23:49  ankry
- 3576

Revision 1.12  2003/07/02 15:29:14  ankry
- 3559

Revision 1.11  2003/05/29 10:56:15  adgor
- Removed md5sums for *.txt srcs (already stored in repo)

Revision 1.10  2003/05/28 13:01:39  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:26:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/05/12 15:02:11  ankry
- make BR: perl-devel unconditional
- fix bogus (%if'ed while %ifs are not multi-level) %include

Revision 1.7  2003/05/12 14:39:01  ankry
- updated; ver. 3541

Revision 1.6  2003/05/10 22:24:49  radek
- BR: rpm-perlprov instead of R: perl,  minor simplifications

Revision 1.5  2003/05/02 11:49:39  ankry
- removed BR: xpdf, not necessary here
- rel. 2

Revision 1.4  2003/04/28 06:31:05  ankry
- updated; version 3531

Revision 1.3  2003/04/07 16:05:10  ankry
- updated; version 3514

Revision 1.2  2003/03/23 17:04:14  ankry
- fixed duplicate dirs
- rel. 1

Revision 1.1  2003/03/23 00:10:31  ankry
- updated; splited into rfc & rfc-latest
- untested: rel 0.1
